/*
	Theme Name:   Savoy Child
	Theme URI:    http://themeforest.net/item/savoy-minimalist-ajax-woocommerce-theme/12537825
	Description:  Savoy child theme
	Author:       NordicMade
	Author URI:   http://www.nordicmade.com
	Template:     savoy
	Version:      1.0
*/


/* Child theme CSS
--------------------------------------------------------------- */

/*.wc-block-checkout__use-address-for-billing {*/
/*    display: none;*/
/*}*/

/*.wc-block-checkout__billing-fields.wp-block-woocommerce-checkout-billing-address-block {*/
/*    .wc-block-components-address-form__country,*/
/*    .wc-block-components-address-form__address_1,*/
/*    .wc-block-components-address-form__address_2-toggle,*/
/*    .wc-block-components-address-form__address_2,*/
/*    .wc-block-components-address-form__city,*/
/*    .wc-block-components-address-form__state,*/
/*    .wc-block-components-address-form__postcode {*/
/*        display: none;*/
/*    }*/
/*}*/

.woocommerce-checkout {
    .woocommerce-checkout .woocommerce-billing-fields .address-field,
    #ship-to-different-address, .woocommerce-terms-and-conditions-wrapper {
        display: none;
    }

    .select2-container .select2-selection--single {
        height: unset;
        background-color: #fff;
        background-image: url(assets/img/select-arrow-2x.gif);
        /* background-position: 98.5% 50%; */
        background-position: calc(100% - 10px) 50%;
        background-repeat: no-repeat;
        background-size: 8px 4px;
        font-family: inherit;
        line-height: 1.6;
        outline: 0;
        padding: var(--nm--inputs-padding-vertical) var(--nm--inputs-padding-horizontal);
        padding-right: 28px;
        border: 1px solid var(--nm--inputs-border-color);
        border-radius: var(--nm--border-radius-inputs);
        transition: border-color 0.4s ease;
        -webkit-box-shadow: none;
        box-shadow: none;
        -webkit-appearance: none;
    }

    .select2-container .select2-selection--single .select2-selection__rendered {
        display: block;
        padding-left: unset;
        padding-right: unset;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        line-height: unset;
    }

    .select2-container--default .select2-selection--single .select2-selection__arrow {
        width: 20px;
        height: 26px;
        position: absolute;
        top: 50%;
        right: 4px;
        transform: translateY(-50%);
    }

    .nm-validation-inline-notices .form-row.woocommerce-invalid-required-field:after {
        content: 'Обовʼязкове поле';
    }
}

.cart_totals {
    .woocommerce-shipping-destination {
        display: none;
    }
}

.wc-block-cart__sidebar .wp-block-woocommerce-cart-order-summary-totals-block {
    display: none;
}

.single-product {
    .variations tr .value select {
        padding-left: 14px;
        padding-right: 28px;
        background-color: transparent;
        background-image: url('/wp-content/themes/savoy/assets/img/select-arrow-2x.gif');
        /* background-position: 98.5% 50%; */
        background-position: calc(100% - 10px) 50%;
        background-repeat: no-repeat;
        background-size: 8px 4px;
        border-left: 1px solid #dadada;
    }

    .sku_wrapper {
        display: none;
    }
}

.theme-savoy {
    .nm-header div.nm-header-logo {
        @media (min-width: 992px) {
            padding-bottom: 5px;
        }
    }

    .nm-menu {
        li.color-red a {
            color: #DC2626;
        }

        .uppercase {
            text-transform: uppercase;
        }
    }

    .home-hero .nm-banner-content {
        background-image: linear-gradient(90deg,
        rgba(40, 40, 40, 0.85) 0%,
        rgba(40, 40, 40, 0.65) 25%,
        rgba(40, 40, 40, 0.25) 50%,
        rgba(40, 40, 40, 0) 100%);
    }

    input[type="radio"],
    input[type="checkbox"] {
        accent-color: #282828;
    }

    .wc-block-checkout__actions_row .wc-block-components-checkout-place-order-button {
        padding: 18px 30px;
    }

    button[disabled] {
        opacity: 0.5;
        pointer-events: none;
    }
}
/*wc-block-components-checkbox wc-block-checkout__use-address-for-billing*/

